Changeset 7695:4658131b0f5c in orange


Ignore:
Timestamp:
02/20/11 12:21:06 (3 years ago)
Author:
mitar
Branch:
default
Convert:
839c3cabc2498cb74aae5a3429e90af0c836f52c
Message:

Working on more robust daily building.

Location:
install-scripts/mac
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • install-scripts/mac/dailyrun-bundleonly.sh

    r7694 r7695  
    88defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    99 
    10 ./mount-dirs.sh 
     10./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    1111 
    1212/Users/ailabc/bundle-daily-build.sh &> /private/tmp/bundle-daily-build.log 
    1313EXIT_VALUE=$? 
    1414 
    15 ./mount-dirs.sh 
     15./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    1616 
    1717echo "Orange (bundle) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log" 
  • install-scripts/mac/dailyrun-finkonly-withsource.sh

    r7694 r7695  
    3434defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    3535 
    36 ./mount-dirs.sh 
     36./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    3737 
    3838/Users/ailabc/fink-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/fink-daily-build.log 
    3939EXIT_VALUE=$? 
    4040 
    41 ./mount-dirs.sh 
     41./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    4242 
    4343echo "Orange (fink) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-daily-build.log" 
  • install-scripts/mac/dailyrun-finkonly.sh

    r7694 r7695  
    88defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    99 
    10 ./mount-dirs.sh 
     10./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    1111 
    1212/Users/ailabc/fink-daily-build.sh &> /private/tmp/fink-daily-build.log 
    1313EXIT_VALUE=$? 
    1414 
    15 ./mount-dirs.sh 
     15./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    1616 
    1717echo "Orange (fink) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-daily-build.log" 
  • install-scripts/mac/dailyrun.sh

    r7694 r7695  
    3434defaults write com.apple.desktopservices DSDontWriteNetworkStores true 
    3535 
    36 ./mount-dirs.sh 
     36./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    3737 
    3838/Users/ailabc/bundle-daily-build.sh $STABLE_REVISION $DAILY_REVISION &> /private/tmp/bundle-daily-build.log 
    3939EXIT_VALUE=$? 
    4040 
    41 ./mount-dirs.sh 
     41./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    4242 
    4343echo "Orange (bundle) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-daily-build.log" 
     
    4949EXIT_VALUE=$? 
    5050 
    51 ./mount-dirs.sh 
     51./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    5252 
    5353echo "Orange (bundle-64bit) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/bundle-$MAC_VERSION-64bit-daily-build.log" 
     
    5959EXIT_VALUE=$? 
    6060 
    61 ./mount-dirs.sh 
     61./mount-dirs.sh || { echo "Mounting failed." ; exit 1 ; } 
    6262 
    6363echo "Orange (fink) [$EXIT_VALUE]" > "/Volumes/download/buildLogs/osx/fink-$MAC_VERSION-daily-build.log" 
  • install-scripts/mac/mount-dirs.sh

    r7694 r7695  
    11#!/bin/bash -e 
    22 
    3 umount /Volumes/fink/ 
     3umount /Volumes/fink/ 2> /dev/null || true 
    44mkdir -p /Volumes/fink/ 
    55/Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) fink@biolab.si:/files /Volumes/fink/ 
    66 
    7 umount /Volumes/download/ 
     7umount /Volumes/download/ 2> /dev/null || true 
    88mkdir -p /Volumes/download/ 
    99/Users/ailabc/Downloads/sshfs-binaries/sshfs-static-leopard -o reconnect,workaround=nonodelay,uid=$(id -u),gid=$(id -g) download@biolab.si:/files /Volumes/download/ 
Note: See TracChangeset for help on using the changeset viewer.